# Zope Weather - (c) 2002 Jerome Alet
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#
# author: Jerome Alet - <alet@librelogiciel.com>
#
# $Id: $
#
# $Log: $
#

# This software contains code adapted from the Gnome Weather applet
# written in C language by Spiros Papadimitriou and licensed
# under the GNU General Public License of the Free Software Foundation

# This software contains pictures from the Evolution Mail User Agent
# written by Ximian and distributed under the GNU General Public
# License of the Free Software Foundation

import OFS
import App

from ZWeather import ZWeather, addForm, addFunction

def initialize(registrar) :
    registrar.registerClass(
	ZWeather,
	constructors = (addForm, addFunction),
	icon = "www/ZWeather.gif"
	)
    for icon in [ "cloud", "fog", "rain", "snow", "storm", "suncloud", "sun" ] :
	registerIcon(icon)

def registerIcon(name) :
    setattr(OFS.misc_.misc_.ZWeather, name, App.ImageFile.ImageFile("www/%s.png" % name, globals()))
